Description

For CD/CI it would be helpful if doctrine cli controller would report the current version of migration.

We've changed doctrine:migrationversion that way that if no version is provided the action will report current migration version.
By this it is possible to decide on script level if migration is required or not.

Find patch attached.

History
#1 - 2012-08-17 11:12 - Karsten Dambekalns
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow
- Assigned To set to Karsten Dambekalns

#2 - 2012-08-17 11:15 - Karsten Dambekalns
- Category set to - Migrations -
- Status changed from New to Needs Feedback
- Target version deleted (1.1)
- Has patch set to No

If you only know the latest version applied, you do not yet know if a migration might be needed. There could be migrations "in between" that have been
added by installed packages and have a lower identifier than the latest applied one.

What could work is a quiet flag to migrationstatus (similar to the quiet flag for migrate) that outputs the needed migrations, one per line.

#3 - 2012-12-12 08:39 - Karsten Dambekalns
- Status changed from Needs Feedback to Accepted
- Target version set to 2.1

#4 - 2013-05-21 13:28 - Robert Lemke
- Target version deleted (2.1)

Files
doctrine.migration.patch 35.7 kB 2012-08-08 Peter Russ
